// this function verifies disk space in kilobytes
function verifyDiskSpace(dirPath, spaceRequired)
{
  var spaceAvailable;

  // Get the available disk space on the given path
  spaceAvailable = fileGetDiskSpaceAvailable(dirPath);

  // Convert the available disk space into kilobytes
  spaceAvailable = parseInt(spaceAvailable / 1024);

  // do the verification
  if (spaceAvailable < spaceRequired)
  {
    logComment("Insufficient disk space: " + dirPath);
    logComment("  required : " + spaceRequired + " K");
    logComment("  available: " + spaceAvailable + " K");
    return false;
  }

  return true;
}

// main code block

var err;
var pkgVer = "0.6.0";
var pkgName = "cookiebar";
var srDest = 50;

var err = initInstall("CookieBar 0.6.0", pkgName, pkgVer);
logComment("initInstall: " + err);

var fProgram = getFolder("Program");
var fChrome = getFolder("Chrome");

if (verifyDiskSpace(fProgram, srDest))
{
  err = addDirectory("", pkgVer, pkgName, fChrome, pkgName, true);
  logComment("addDirectory: " + err);

  registerChrome(CONTENT | DELAYED_CHROME, getFolder(fChrome, pkgName), "content/");
  registerChrome(LOCALE  | DELAYED_CHROME, getFolder(fChrome, pkgName), "locale/en-US/cookiebar/");

  if (getLastError() == SUCCESS)
  {
    err = performInstall(); 
    logComment("performInstall: " + err);
    alert("restart Mozilla and goto chrome://cookiebar/content/addpanel.xul");
  }
  else
  {
    cancelInstall(err);
  }
}

// end main
